## pwcrypt-1.2.2.tar.gz

=== Makefile ===
setup:
	./configure
	make

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
PROG = pwcrypt
OBJS = main.o getopt.o random.o crypt.o
PREFIX = /usr
CC = gcc
CFLAGS = -g -O2 -W -Wall
LDFLAGS = -lcrypt

all: $(OBJS) $(PROG)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LDFLAGS)

install: 
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	-install -c -m 0755 -o root -s $(PROG) $(DESTDIR)$(PREFIX)/bin/$(PROG)

clean:
	-rm -f a.out core *~ *.o *.a $(PROG)

=== debian/changelog ===
pwcrypt (1.2.2-1) unstable; urgency=medium

  * Fixed a little off-by-one bug in cr_random() in random.c that caused
    the salt to be shorter than eight chars from time to time.
  * "pwcrypt -m -s salt" now prepends "$1$" to the given salt - as the
    user would guess.
  * Another little off-by-one bug, but no serious one: cr_random() generated
    nine characters of salt instead of eight as intended. This was however
    caught in the crypt() code that limited the salt to two characters.

 -- Joachim Fenkes <dojoe@gmx.net>  Sun, 06 Jul 2003 03:09:44 +0200

pwcrypt (1.2.1-1) unstable; urgency=low

  * Added a warning message to user when trying to encrypt passwords longer
    than 8 char's without using MD5 (-m).

 -- A.L.Lambert <al@xjack.org>  Wed,  9 Apr 2003 20:42:46 -0600

pwcrypt (1.2-1) unstable; urgency=low

  * Changed name to pwcrypt to avoid binary conflicts with the mcrypt package.
  * Added a warning message to user when trying to encrypt passwords longer
    than 8 char's without using MD5 (-m).

 -- A.L.Lambert <al@xjack.org>  Wed,  9 Apr 2003 20:42:46 -0600

cli-crypt (1.2-1) unstable; urgency=low

  * Initial debianized release.

 -- A.L.Lambert <al@xjack.org>  Wed,  9 Apr 2003 20:42:46 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pwcrypt
Section: unknown
Priority: optional
Maintainer: root <root@minideb>
Standards-Version: 3.2.1

Package: pwcrypt
Architecture: any
Depends: ${shlibs:Depends}
Replaces: cli-crypt
Conflicts: cli-crypt
Description: A command line interface to encrypt passwords via crypt().
 This little program is designed to take a cleartext password via  either 
 the command line, or stdin, ecrypt it vai the system crypt() function,
 and produce the results on stdout.
 .
 Previously this program was known as cli-crypt and provided a binary named 
 'crypt'.  The name and binary have both been changed to pwcrypt to avoid 
 conflicting filenames with the mcrypt package.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=cli-crypt

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README CREDITS COPYING
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
